/**
 * Kurzbeschreibung der Klasse Impuls:
 * Hilfsklasse zum Auslösen eines Zeitgeberereignisses
 * @author T. Hempel 
 * @version 23.09.2010
 */
import java.util.*;
public class Impuls extends TimerTask {
  /** ein Uhrenobjekt */
  private Weckuhr meineUhr;
  //-------------------------------------------
  /**
   * Konstruktor der Klasse Impuls
   * @param pUhr Weckuhr, die automatisch gestellt werden soll
   */
  public Impuls(Weckuhr pUhr) {
    super();
    meineUhr = pUhr;
  }
  //---------------------------------------------   
  /**
   * Methode, die vom Zeitgeber ausgeführt wird
   */
  public void run() {
    meineUhr.geheSchritt();
    meineUhr.zeichneUhr();
  }
} // Ende der Klasse Hauptprogramm